Vend::Payment::ICS(3)

Interchange ICS Support
Vend::Payment::ICS $Revision: 1.2 $

SYNOPSIS

PREREQUISITES
ICS Library ICS.pm

DESCRIPTION
In interchange.cfg:

Require module Vend::Payment::ICS

In catalog.cfg:

Variable MV_PAYMENT_MODE ICS

Route ICS server_host ics2test.ic3.com Route ICS server_port 80 Route ICS path /path/to/lib/CyberSource/SDK Route ICS merchant_id your_merchant_id Route ICS apps ics_auth,ics_auth_reversal,ics_bill,ics_credit Route ICS timeout 20
Route  ICS  merchant_descriptor     "test merchant"
Route ICS merchant_descriptor_contact "phone number"

You must first install CyberSource's ICS.pm and put your "keys" directory in the location pointed to by the "path" parameter. Obviously you must have a merchant account set up.

AUTHOR
Sonny Cook <sonny@endpoint.com>